You are here

[Fixed] Platform 21.1 says it needs .NET 4 even when it's installed

10 posts / 0 new
Last post
odysseus93
Offline
Last seen: 4 months 3 weeks ago
Joined: 2022-03-25 10:41
[Fixed] Platform 21.1 says it needs .NET 4 even when it's installed

Dutifully went to the downloads page, but there is no direct link for what this application is looking for.
Little help on precisely which package to download and install would be appreciated, as the application won't start otherwise.

Thank you.

John T. Haller
John T. Haller's picture
Online
Last seen: 26 min 42 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Automatic

It works out of the box on Windows Vista through Windows 11. Unless you somehow manually disabled .Net support, you don't need anything. Are you using Windows XP? If so, the PA.c Platform will automatically direct you here: https://portableapps.com/support/dotnet#4or2

Sometimes, the impossible can become possible, if you're awesome!

odysseus93
Offline
Last seen: 4 months 3 weeks ago
Joined: 2022-03-25 10:41
No. I'm on Windows 10

No. I'm on Windows 10 (considering 11, but not ready yet).

John T. Haller
John T. Haller's picture
Online
Last seen: 26 min 42 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Works By Default

On all standard versions of Windows 10, it will work by default as Windows 10 ships with .Net 4.0 installed and enabled by default. There is no option to disable .NET 4 in Settings. There are some third party tools that can hack it out, though. If you used one of those, then it won't work. You can try reinstalling .Net 4.x using the installer linked from the support topic above.

Sometimes, the impossible can become possible, if you're awesome!

bergstrasse
Offline
Last seen: 4 months 3 weeks ago
Joined: 2022-03-25 16:32
Seconding the issue

Happened after update of the platform today. With former platform version it works without any issue. Running Windows 11.
Seems to be a problem with the platform update.

Thanks for looking into the issue.

odysseus93
Offline
Last seen: 4 months 3 weeks ago
Joined: 2022-03-25 10:41
Yes, my situation as well.

Yes, my situation as well.

John T. Haller
John T. Haller's picture
Online
Last seen: 26 min 42 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Run directly

Please run the KeePassProPortable.exe launcher directly. I'll look into this as soon as I get home.

Sometimes, the impossible can become possible, if you're awesome!

John T. Haller
John T. Haller's picture
Online
Last seen: 26 min 42 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Confirmed, Fix Posting

I've confirmed this to be a bug specifically with .NET 4.x detection due to an errant line of code I added in 21.1 when introducing .Net Core and .Net 5+ support. I've got it fixed in code and the platform built. It's getting packaged now and will be released as soon as it mirrors.

Sometimes, the impossible can become possible, if you're awesome!

John T. Haller
John T. Haller's picture
Online
Last seen: 26 min 42 sec ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Fixed in 21.2.1

This is fixed in Platform 21.2.1. Apologies for any inconvenience this error caused the last couple days.

Sometimes, the impossible can become possible, if you're awesome!

odysseus93
Offline
Last seen: 4 months 3 weeks ago
Joined: 2022-03-25 10:41
Thank you for your effort.

Thank you for your effort. Keep up the good work.

Log in or register to post comments